import React from "react";
import { Option } from "xy-select";
export default function Suggest(props) {
    var prefixCls = props.prefixCls, suggestions = props.suggestions, customItem = props.customItem;
    function renderSuggest() {
        if (suggestions instanceof Array) {
            return (React.createElement("ul", null, suggestions.map(function (x, i) {
                var cfg = typeof x === "string"
                    ? {
                        value: x,
                        label: x
                    }
                    : x;
                return (React.createElement(Option, { key: cfg.value, value: cfg.value, disabled: cfg.disabled }, !customItem
                    ? cfg.label
                    : React.createElement(customItem, {
                        id: i,
                        source: cfg
                    })));
            })));
        }
        else {
            return suggestions;
        }
    }
    return React.createElement("div", { className: prefixCls + "-suggest" }, renderSuggest());
}
//# sourceMappingURL=Suggest.js.map